-------------------------------------------------------------------------
-- Joseph Zambreno
-- Department of Electrical and Computer Engineering
-- Iowa State University
-------------------------------------------------------------------------


-- Adder.vhd
-------------------------------------------------------------------------
-- DESCRIPTION: This file contains an implementation of an adder
-- operating on gDATA_WIDTH sized variables.
--
--
-- NOTES:
-- 9/8/06 by JAZ::Design created.
-------------------------------------------------------------------------

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_unsigned.all;

entity Adder is

  generic(gDATA_WIDTH1  : natural := 8;
	  gDATA_WIDTH2  : natural := 8);
  port(iCLK             : in std_logic;
       iA               : in std_logic_vector(gDATA_WIDTH1-1 downto 0);
       iB               : in std_logic_vector(gDATA_WIDTH2-1 downto 0);
       oC               : out std_logic_vector(gDATA_WIDTH1-1 downto 0));

end Adder;

architecture behavior of Adder is
begin

  process(iCLK, iA, iB)
  begin
    if rising_edge(iCLK) then
	   oC <= iA + iB;
    end if;
  end process;
  
end behavior;
